---
updatedAt: 2026-04-02T19:31:29.000Z
agentTools:
  projectIndex: https://docs.joinforage.app/llms.txt
---

# Introduction

Get started with the Forage Payments API for accepting EBT SNAP online

> 📘 Forage Is PCI Level 1 Compliant
>
> Forage meets the highest level of PCI DSS certification, ensuring secure handling of cardholder data and protecting sensitive payment information.

This reference details comprehensive information about the Forage Payments API.

The Payments API is the foundation of accepting EBT SNAP online with Forage. You need to interact with the REST API no matter what integration type you choose. For example:

* POST `/payments/` creates a payment `ref` , a required parameter for [SDK](https://docs.joinforage.app/docs/get-started#forage-sdks) payment capture functions
* POST `/sessions/` initializes the Forage Checkout [Fully Hosted](https://docs.joinforage.app/docs/get-started#fully-hosted) UI
* POST `/capture_sessions/` starts a Forage [Custom](https://docs.joinforage.app/reference/getting-started) payment capture session

Using the navigation on the left, you can find details about all of the available endpoints to manage Forage resources. The resources that you need to interact with depend on your integration type, as detailed in the following sections.

> ⚠️ Per-Endpoint API Versioning
>
> The Forage API is versioned per endpoint. Check each endpoint's reference page or the [Forage versioning guide](https://docs.joinforage.app/reference/version-history) for supported versions.

> 📘 Learn About Forage Integrations
>
> If you haven't decided whether to go with a Forage SDK, Fully Hosted, or Custom integration, check out the guide to [integration types](https://docs.joinforage.app/docs/get-started).

## Forage resources

*A list of the primary resources involved in each integration type*

### All integrations

* [Bearer Token](https://docs.joinforage.app/reference/bearer-tokens): An OAuth 2.0 token that validates API requests
* [Report](https://docs.joinforage.app/reference/reports): A paginated list of records about a merchant's EBT business, either transactions, payouts, payout transactions, or orders

### SDKs

You can use a Forage SDK to build your own EBT checkout interface. SDK integrations interact with the following resources:

* [Payment](https://docs.joinforage.app/reference/payments): A one-time charge to a known payment method
* [Payment refund](https://docs.joinforage.app/reference/payment-refunds): A refund associated with a payment

See Also:

* [Forage JS Reference](https://docs.joinforage.app/reference/js-sdk-reference)
* [Android Overview](https://docs.joinforage.app/docs/android)
* [iOS Overview](https://docs.joinforage.app/docs/ios)

### Fully Hosted

A Fully Hosted integration embeds Forage's comprehensive prebuilt EBT checkout interface. Fully Hosted integrations interact with the following resources:

* [Session](https://docs.joinforage.app/reference/forage-sessions): An instance of the ready-to-use Forage Checkout UI with built-in balance inquiry and payment capture features
* [Order](https://docs.joinforage.app/reference/orders): A checkout cart that a customer submits for purchase via the Forage Checkout UI
* [Order Payment](https://docs.joinforage.app/reference/order-payments): A one-time charge, to a known payment method, that is associated with an order created via the Forage Checkout UI
* [Order Refund](https://docs.joinforage.app/reference/order-refunds): A refund associated with an order created via the Forage Checkout UI

See also:

* [Forage Fully Hosted Integration Guide](https://docs.joinforage.app/docs/fully-hosted)

### Custom

A Custom integration embeds Forage's prebuilt EBT PIN entry interface. Custom integrations interact with the following resources:

* [Payment Method](https://docs.joinforage.app/reference/payment-methods): A reference to a form of payment that a customer uses to make a purchase, typically an EBT card
* [Balance Session](https://docs.joinforage.app/reference/create-custom-balance-check-session): An instance of the ready-to-use Forage Checkout UI that initiates a balance inquiry
* [Capture Session](https://docs.joinforage.app/reference/create-capture-session): An instance of the ready-to-use Forage Checkout UI that captures a payment
* [Order Payment](https://docs.joinforage.app/reference/order-payments): A one-time charge, to a known payment method, that is associated with an order created via the Forage Checkout UI
* [Order](https://docs.joinforage.app/reference/orders): A checkout cart that a customer submits for purchase via the Forage Checkout UI
* [Order Refund](https://docs.joinforage.app/reference/order-refunds): A refund associated with an order created via the Forage Checkout UI

> 📘 Accessing Created Data
>
> Data created via API or Forage Checkout is accessible through GET requests to the matching resource.

See also:

* [Forage Custom Integration Guide](https://docs.joinforage.app/docs/custom)

## Authentication

Requests use the HTTP `Authorization` header to verify operations. The API accepts bearer tokens in this header. Refer to the [authentication guide](https://docs.joinforage.app/docs/authentication) for complete details.

## Development environments

| Type       | When to use                                                               | URL                                    |
| :--------- | :------------------------------------------------------------------------ | :------------------------------------- |
| sandbox    | Develop against this environment as you build. It doesn't have live data. | `https://api.sandbox.joinforage.app/…` |
| production | Use this environment in production, for real live EBT transactions.       | `https://api.joinforage.app/…`         |

## JSON conventions

### Some numeric values are returned as strings

The Forage API returns some decimal amounts as strings. For example, the [response body of a GET to `/orders/{ref}/`](https://docs.joinforage.app/reference/orders#order-object) for an order with a $10.00 SNAP charge includes a `snap_total` value of `"10.00"`. You need to parse the string values to numbers to perform calculations.

### Timestamps and timezones

All Forage timestamps are in UTC, except for API versions prior to `2024-05-07`. We strongly recommend upgrading to `2024-05-07` or later. If you can't update, then consult the Introduction page for your specific API Version for a list of values sorted by timezone (UTC or UTC-8).

# Sibling pages

* [Idempotency](https://docs.joinforage.app/reference/idempotency.md)
* [Request Limits](https://docs.joinforage.app/reference/request-limits.md)
* [Errors](https://docs.joinforage.app/reference/errors.md)
* [Versioning](https://docs.joinforage.app/reference/version-history.md)
* [Changelog](https://docs.joinforage.app/reference/changelog.md)